Package com.massivecraft.factions.cmd.check

## Class CheckHistoryFrame

- java.lang.Object
- - com.massivecraft.factions.cmd.check.CheckHistoryFrame

All Implemented Interfaces:
  `FactionGUI`, `org.bukkit.inventory.InventoryHolder`

    public class CheckHistoryFrame
    extends java.lang.Object
    implements FactionGUI

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`CheckHistoryFrame​(FactionsPlugin plugin, Faction faction)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `build()` |
`org.bukkit.inventory.Inventory` | `getInventory()` |
`void` | `onClick​(int slot, org.bukkit.event.inventory.ClickType action)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckHistoryFrame

    public CheckHistoryFrame​(FactionsPlugin plugin,
                             Faction faction)

### Method Detail

#### onClick

    public void onClick​(int slot,
                        org.bukkit.event.inventory.ClickType action)

Specified by:
  `onClick` in interface `FactionGUI`

#### build

    public void build()

Specified by:
  `build` in interface `FactionGUI`

#### getInventory

    public org.bukkit.inventory.Inventory getInventory()

Specified by:
  `getInventory` in interface `org.bukkit.inventory.InventoryHolder`